Package ru.bitel.bgbilling.kernel.contract.balance.common.bean

# Class Reserve

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.kernel.contract.balance.common.bean.Reserve

All Implemented Interfaces:
  `Serializable`, `Idable`

public class Reserve extends Id
Bean резерва договора. Для получения типа(ReserveType) использовать справочник типов.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Reserve()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `int`
  `getContractId()`
  Конструктор резерва для его добавления на договор.
  `Date`
  `getDateClose()`
  `PeriodWithTime`
  `getPeriod()`
  `BigDecimal`
  `getSum()`
  `int`
  `getTypeId()`
  `Reserve`
  `setComment(String comment)`
  `Reserve`
  `setContractId(int contractId)`
  `Reserve`
  `setDateClose(Date dateClose)`
  `Reserve`
  `setId(int id)`
  Устанавливает id объекта
  `Reserve`
  `setPeriod(PeriodWithTime period)`
  `Reserve`
  `setSum(BigDecimal sum)`
  `Reserve`
  `setTypeId(int typeId)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Reserve

    public Reserve()

- ## Method Details

  - ### getComment

    public String getComment()

  - ### getContractId

    public int getContractId()
    Конструктор резерва для его добавления на договор. Не нужные поля убраны для удобства.
    Parameters:
      `contractId` - - код договора.
      `idType` - тип резерва.
      `dateTo` - - до какого момента действует резерв. может быть null.
      `sum` - - сумма резерва
      `comment` - - комментарий

  - ### getDateClose

    public Date getDateClose()

  - ### getPeriod

    public PeriodWithTime getPeriod()

  - ### getSum

    public BigDecimal getSum()

  - ### getTypeId

    public int getTypeId()

  - ### setComment

    public Reserve setComment(String comment)

  - ### setContractId

    public Reserve setContractId(int contractId)

  - ### setDateClose

    public Reserve setDateClose(Date dateClose)

  - ### setId

    public Reserve setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setPeriod

    public Reserve setPeriod(PeriodWithTime period)

  - ### setSum

    public Reserve setSum(BigDecimal sum)

  - ### setTypeId

    public Reserve setTypeId(int typeId)